VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5370
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5025
   LinkTopic       =   "Form1"
   ScaleHeight     =   5370
   ScaleWidth      =   5025
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtCircleIncrement 
      Height          =   285
      Left            =   3240
      TabIndex        =   2
      Text            =   "10"
      Top             =   120
      Width           =   615
   End
   Begin VB.CheckBox chkDrawRadii 
      Caption         =   "Draw Radii"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
   Begin VB.PictureBox picGraph 
      Height          =   4815
      Left            =   120
      ScaleHeight     =   4755
      ScaleWidth      =   4755
      TabIndex        =   0
      Top             =   480
      Width           =   4815
   End
   Begin VB.Label Label1 
      Caption         =   "Circle Increment:"
      Height          =   255
      Left            =   1920
      TabIndex        =   3
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' The radii for the radar plot.
Private m_RData() As Single
Private Const MAX_R As Single = 30

' Draw the graph on the PictureBox.
Private Sub DrawRadarGraph(ByVal pic As PictureBox, points() As Single)
Const PI As Single = 3.14159265

Dim aspect As Single
Dim i As Integer
Dim circle_increment As Single
Dim theta As Single
Dim dtheta As Single
Dim x As Single
Dim y As Single

    ' Find the center and calculate the scale.
    If pic.ScaleWidth < pic.ScaleHeight Then
        aspect = pic.ScaleHeight / pic.ScaleWidth
        pic.ScaleWidth = 2 * MAX_R
        pic.ScaleHeight = pic.ScaleWidth * aspect
    Else
        aspect = pic.ScaleWidth / pic.ScaleHeight
        pic.ScaleHeight = 2 * MAX_R
        pic.ScaleWidth = pic.ScaleHeight * aspect
    End If
    pic.ScaleLeft = -pic.ScaleWidth / 2
    pic.ScaleTop = -pic.ScaleHeight / 2

    ' Draw.
    pic.Cls
    dtheta = 2 * PI / (UBound(points) - LBound(points))
    theta = 0

    ' Draw the circles.
    circle_increment = Val(txtCircleIncrement.Text)
    If circle_increment > 0 Then
        For i = circle_increment To MAX_R Step circle_increment
            pic.Circle (0, 0), i, vbWhite
        Next i
    End If

    ' Draw the radii.
    If chkDrawRadii.Value = vbChecked Then
        theta = 0
        For i = LBound(points) To UBound(points)
            theta = theta + dtheta
            x = points(i) * Cos(theta)
            y = points(i) * Sin(theta)
            pic.Line (0, 0)-(x, y), vbBlue
        Next i
    End If

    ' Draw the data.
    pic.CurrentX = points(UBound(points))
    pic.CurrentY = 0
    theta = 0
    For i = LBound(points) To UBound(points)
        theta = theta + dtheta
        x = points(i) * Cos(theta)
        y = points(i) * Sin(theta)
        pic.Line -(x, y)
    Next i
End Sub
' Generate some random data.
Private Sub GenerateData()
Dim i As Integer

    Randomize
    ReDim m_RData(0 To 99)
    For i = LBound(m_RData) To UBound(m_RData)
        m_RData(i) = Rnd * MAX_R
    Next i
End Sub

' Redraw the graph on the PictureBox.
Private Sub chkDrawRadii_Click()
    DrawRadarGraph picGraph, m_RData
End Sub
Private Sub Form_Load()
    picGraph.AutoRedraw = True

    ' Generate data.
    GenerateData

    ' Draw the graph on the PictureBox.
    DrawRadarGraph picGraph, m_RData
End Sub

' Redraw.
Private Sub txtCircleIncrement_Change()
    DrawRadarGraph picGraph, m_RData
End Sub


